Subject: Re: [PATCH/RFC] powerpc: Add of_platform support for OHCI/Bigendian HC

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 05 Nov 2006 10:37:45 +1100

On Thu, 2006-11-02 at 21:49 +0100, Nicolas DET wrote:

> fsoc-ppc. As I am not sure what it does exactly I 
> left it like this. This module performs well here so far.

Well, it cause the kernel to keep other interrupts disabled on that CPU
while you are handling yours. Should not be necessary and might cause
undue latencies. 

Regarding the rest of the patch, I don't understand why you are creating
duplicate match lists and probe/remove functions.

Just do a single of_platform_driver() that matches both and have it's
probe() function check the properties (device_is_compatible() would do
the trick, though a common thing in OF is to just have an empty property
"big-endian" in the node).

Ben.